### Method

# GtkSource SearchSettings set_at_word_boundaries

#### Declaration [src]

    void
    gtk_source_search_settings_set_at_word_boundaries (
      GtkSourceSearchSettings* settings,
      gboolean at_word_boundaries
    )

#### Description [src]

Change whether the search is done at word boundaries.

If `at_word_boundaries` is `TRUE`, a search match must start and end a word. The match can span multiple words. See also `gtk_text_iter_starts_word()` and `gtk_text_iter_ends_word()`.

Sets property | `GtkSource.SearchSettings:at-word-boundaries`

#### Parameters

`at_word_boundaries`

  Type: `gboolean`

  The setting.